//This JSON was modified by LateLag (@LateLagMC). Please do not use this document without permission.
{
  "format_version": "1.10",
  "render_controllers": {
    "controller.render.shield": {
      "geometry": "geometry.default",
      "materials": [ { "*": "variable.is_patterned ? (variable.is_enchanted ? material.pattern_enchanted : material.pattern) : (variable.is_enchanted ? material.enchanted : material.default)" } ],
      "textures": [
        "texture.default",
        "texture.enchanted",
        "texture.pattern"
      ],
      "part_visibility": [
        { "shield": "!((query.get_equipped_item_name(0, 1) == 'bow' || query.get_equipped_item_name(0, 1) == 'crossbow') && (query.main_hand_item_use_duration > 0.0) && variable.is_in_offhand && variable.is_first_person)" }
      ]
    }
  }
}